<?php
/**
 * Custom header implementation
 *
 * @link https://codex.wordpress.org/Custom_Headers
 *
 * @package Window Blinds Repair
 * @subpackage window_blinds_repair
 */

function window_blinds_repair_custom_header_setup() {

    register_default_headers( array(
        'default-image' => array(
            'url'           => get_template_directory_uri() . '/assets/images/header_img.png',
            'thumbnail_url' => get_template_directory_uri() . '/assets/images/header_img.png',
            'description'   => __( 'Default Header Image', 'window-blinds-repair' ),
        ),
    ) );
}
add_action( 'after_setup_theme', 'window_blinds_repair_custom_header_setup' );

/**
 * Styles the header image based on Customizer settings.
 */
function window_blinds_repair_header_style() {
    $window_blinds_repair_header_image = get_header_image() ? get_header_image() : get_template_directory_uri() . '/assets/images/header_img.png';

    $window_blinds_repair_height     = get_theme_mod( 'window_blinds_repair_header_image_height', 450 );
    $window_blinds_repair_position   = get_theme_mod( 'window_blinds_repair_header_background_position', 'center' );
    $window_blinds_repair_attachment = get_theme_mod( 'window_blinds_repair_header_background_attachment', 1 ) ? 'fixed' : 'scroll';

    $window_blinds_repair_custom_css = "
        .header-img, .single-page-img, .external-div .box-image-page img, .external-div {
            background-image: url('" . esc_url( $window_blinds_repair_header_image ) . "');
            background-size: cover;
            height: " . esc_attr( $window_blinds_repair_height ) . "px;
            background-position: " . esc_attr( $window_blinds_repair_position ) . ";
            background-attachment: " . esc_attr( $window_blinds_repair_attachment ) . ";
        }

        @media (max-width: 1000px) {
            .header-img, .single-page-img, .external-div .box-image-page img,.external-div,.featured-image{
                height: 250px !important;
            }
            .box-text h2{
                font-size: 27px;
            }
        }
    ";

    wp_add_inline_style( 'window-blinds-repair-style', $window_blinds_repair_custom_css );
}
add_action( 'wp_enqueue_scripts', 'window_blinds_repair_header_style' );

/**
 * Enqueue the main theme stylesheet.
 */
function window_blinds_repair_enqueue_styles() {
    wp_enqueue_style( 'window-blinds-repair-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'window_blinds_repair_enqueue_styles' );